package cp;

import java.text.SimpleDateFormat;
import java.util.Date;
import javax.swing.DefaultListModel;

public class RoundDate {
  private int round;
  private Date date;
  private SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");

  public RoundDate(int round, Date date) {
    this.round = round;
    this.date = date;
  }

  public String toString() {
    return String.format("r%d: %s", round, dateFormat.format(date));
  }

  public boolean exists(DefaultListModel model) {
    for (int i = 0; i < model.size(); i++) {
      RoundDate roundDate = (RoundDate)model.get(i);
      if (roundDate.round == this.round) {
        return true;
      }
    }
    return false;
  }

  int getRound() {
    return round;
  }

  public Date getDate() {
    return date;
  }
}
